<?php
namespace Kylin\Storage\Aliyun\Signer;

use Kylin\Storage\Aliyun\Http\RequestCore;
use Kylin\Storage\Aliyun\Credentials\Credentials;

interface SignerInterface
{
    public function sign(RequestCore $request, Credentials $credentials, array &$options);

    public function presign(RequestCore $request, Credentials $credentials, array &$options);
}